/*za Auto akcija izbor partnera koji su aktivni(imali promet) 2-3 godine za export u csv*/

CREATE TABLE kodovi_partnera (
  kodPartnera CHAR(13) NOT NULL,  
  PRIMARY KEY (kodPartnera)  
) DEFAULT CHARSET=utf8;

/* ovo se pusti u 2021 */
INSERT INTO kodovi_partnera
SELECT DISTINCT kodPartnera FROM dok_zag;

/* ovo se ponovi u 2022 2023 i 2024 */
/* kodovi robe se prekopiraju u 2022 i tu se dodaju kodoviPartnera koji su imali promet u 2022 */ 
INSERT INTO kodovi_partnera
(
SELECT DISTINCT b.kodPartnera FROM dok_zag as b
LEFT JOIN kodovi_partnera as a
on  a.kodPartnera = b.kodPartnera
where a.kodPartnera is null
);


/* skopirati partner   u partneri_za_prijenos U 2024
obrišu se svi koji nisu u kodovi_partnera (nije bilo prometa) */
DELETE FROM partneri_za_prijenos
WHERE kodPartnera NOT IN
(SELECT * FROM kodovi_partnera);

/* sa admin se obrišu nepotrebna polja u partneri_za_prijenos skine primarni ključ i napravi export u csv */