<?php
include_once 'model/bruto_kod_vise_poslodavaca_db.php';

if(isset($_POST['mjesecObracunaOd'])) {  
    // prihvaćeni su podaci s ekrana
    $mjesecObracunaOd = $_POST['mjesecObracunaOd'];
    $godinaObracunaOd = $_POST['godinaObracunaOd'];
    $vrstaPlace = $_POST['vrstaPlace_par'];
    $verzijaPlace = $_POST['verzijaPlace_par'];
    $vrstaJOPPDizvjesca=$_REQUEST['vrstaJOPPDizvjesca_par'];
    $kodRadnika = $_POST['kodRadnika_par'];
    $kodPoslodavca = $_POST['kodPoslodavca_par'];
    $mjesecObracunaDo = $_POST['mjesecObracunaDo'];
    $godinaObracunaDo = $_POST['godinaObracunaDo'];
} else { // ušli smo iz menua
    $danas = new DateTime();
    
    $trenutniMjesec = $danas->format('m');
    if ($trenutniMjesec == 1) {
        $mjesecObracunaOd = 12;
        $trenutnaGodina = $danas->format('Y');
        $godinaObracunaOd = $trenutnaGodina -1;                 
    } else {
        $mjesecObracunaOd = $trenutniMjesec - 1;    
        $godinaObracunaOd = $danas->format('Y');
    }   
    $vrstaPlace='redPla';
    $verzijaPlace='Sve';
    $vrstaJOPPDizvjesca='';
    $kodRadnika=''; 
    $kodPoslodavca='';
    $mjesecObracunaDo=$mjesecObracunaOd;
    $godinaObracunaDo=$godinaObracunaOd;    
}    

$slogovi = get_bruto_kod_vise_poslodavaca($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca,
                                          $kodRadnika, $kodPoslodavca);

if($opSaDok=='Pregled') {
?>
<form action="." method="post" id="view_zag">
<input type="hidden" name="godinaObracuna" value="" />  
<input type="hidden" name="mjesecObracuna" value="" />  
<input type="hidden" name="vrstaPlace" value="" />  
<input type="hidden" name="verzijaPlace" value="" />  
<input type="hidden" name="vrstaJOPPDizvjesca" value="" />  
<input type="hidden" name="kodRadnika" value="" />  
<input type="hidden" name="kodPoslodavca" value="" />  

<input type="hidden" name="opSaDok" value="Pregled" />
<?php
}
?>
<div class="veca_slova_110"> <b>Pregled bruta kod više poslodavaca &nbsp; </b> </div>
Plaća za mjesec od: 
<?php listaMjeseci("mjesecObracunaOd", $mjesecObracunaOd); ?> 
godinu od: <input type="text" class="text_width_3em" name="godinaObracunaOd" id="godinaObracunaOd" value="<?php echo $godinaObracunaOd; ?>" 
               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> 
Vrsta plaće: <?php listaVrstePlaca("vrstaPlace_par", $vrstaPlace); ?>  &nbsp;
Verzija: <input type="text" class="text_width_2em" name="verzijaPlace_par"  id="verzijaPlace" value="<?php echo $verzijaPlace; ?>" /> 
 <img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Ako se odabere prazno, obrađuju se obraćuni kojima je verzija prazna,
(u ovom slučaju to ne znači sve vrste obračuna, jer npr. regres koji ima verziju RE i ostale
vrste obračuna PP, BZ, RR, PP i.t.d neće se prikazati)

Ako se ukuca sve  u obzir se uzimaju sve verzije plaće.
" />   &nbsp; &nbsp; &nbsp;
Vrsta JOPPD izvješća: 
<?php vrstaJOPPDizvjesca("vrstaJOPPDizvjesca_par", $vrstaJOPPDizvjesca,true); ?> 
<img  src="<?php echo $app_path ?>/images/upitnik.png" alt="help" title=
" Ako se odabere prazno, obrađuju se sve vrste JOPPD izvješća(1 izvorno + 2 promjena + 3 dodavanje.)
" />   &nbsp; &nbsp; &nbsp;

<p></p>
Plaća za mjesec do: 
<?php listaMjeseci("mjesecObracunaDo", $mjesecObracunaDo); ?> 
godinu do: <input type="text" class="text_width_3em" name="godinaObracunaDo" id="godinaObracunaDo" value="<?php echo $godinaObracunaDo; ?>" 
               pattern="20[0-9][0-9]" required title="Unesite godinu obračuna tipa 20XX."/> &nbsp;&nbsp;
Djelatnik: &nbsp;&nbsp; <?php listaRadnikaPoImenu("kodRadnika_par", $kodRadnika,TRUE,$samoAktivni=false); ?> &nbsp;
Kod poslodavca: <input type="text" class="text_width_10em" name="kodPoslodavca_par"  value="<?php echo $kodPoslodavca; ?>" />


<br><br>

<?php
if($opSaDok=='Pregled') {
?>
<p id="prihvat">
   <input type="submit" id="prihvati" name='tipka' value="Prihvat" />
</p>   
</form>

<?php
}

if(isset($slogovi[0])) {
    

?>
<table class="t_lista">
<thead>
 <tr>
     <th class="left" style="padding-left: 1em">Plaća &nbsp;</th>
     <th class="left" >Djelatnik &nbsp;</th>
     <th class="left" >Poslodavac &nbsp;</th>
     <th class="left" style="padding-left: 1em">Bruto kod&nbsp; <br>poslodavca &nbsp;</th>
     <th class="left" style="padding-left: 1em">Odbitak kod <br>poslodavca (%)&nbsp;</th>
  </tr>
</thead>
<?php
$RB = 0;
foreach ($slogovi as $slog) : 

    $RB = $RB + 1 ;
    $ostatak = $RB % 2;
    if ($ostatak == 0) {
       $pozadina = 'pozadina1';
    } else {
       $pozadina = 'pozadina2';
    }
    
    $link = '&action=view_bruto_kod_vise_poslodavaca&godinaObracuna='.$slog['godinaObracuna']
            .'&mjesecObracuna='.$slog['mjesecObracuna']
            .'&vrstaPlace='.$slog['vrstaPlace']
            .'&verzijaPlace='.$slog['verzijaPlace']
            .'&vrstaJOPPDizvjesca='.$slog['vrstaJOPPDizvjesca']
            .'&kodRadnika='.$slog['kodRadnika']
            .'&kodPoslodavca='.$slog['kodPoslodavca'];
        
    
?> 
<tr class="<?php echo $pozadina;?>">
    <td class="left" style="padding-right: 1em; padding-left: 1em">
        <a href="<?php echo  './?opSaDok=Prikaz'.$link?>" >                                                                                                                                                     
        <?php  echo $slog['godinaObracuna'].'/'.$slog['mjesecObracuna'].'/'.$slog['vrstaPlace'].'/'.$slog['verzijaPlace'].'/'.$slog['vrstaJOPPDizvjesca'] ?></a>&nbsp;
    </td> 
    <td class="left" style="padding-right: 1em">
        <?php echo $slog['kodRadnika'].' - '.$slog['imeIprezime']; ?>
    </td>  
    <td class="left" style="padding-right: 1em">
        <?php echo $slog['kodPoslodavca'].' - '.$slog['nazivPartnera']; ?>
    </td>  
    <td class="right" style="padding-right: 1em">
        <?php echo $slog['brutoKodPoslodavca']; ?>
    </td>  
    <td class="right" style="padding-right: 1em">
        <?php echo $slog['postotakOdbitkaKodPoslodavca']; ?>
    </td>  
</tr>
<?php endforeach; ?>

<tfoot>
   <tr>
     <td class="right_t_lista"><b>Pronađeno: &nbsp;</b> </td>
     <td class="left">
         <?php echo $RB; ?>
     </td>
     <td colspan="4"></td>
    </tr>
</tfoot>
<?php
}
?>
</table>
